import { IKeyObjectValue } from "../../../type";
import { BuildInTimeframe } from "../buildInFuncNamespace";
export declare class Ta {
    private _preAccdist;
    private _preVwap;
    private _preValue;
    private _currentData;
    private _preData;
    private _id;
    protected timeframeFunc?: BuildInTimeframe;
    constructor(id: string);
    set buildInTimeframeFunc(timeframeFunc: BuildInTimeframe);
    get _varTaCacheData(): IKeyObjectValue;
    set _varTaCacheData(data: IKeyObjectValue);
    update(currentData: IKeyObjectValue): void;
    get isRealTime(): boolean;
    get accdist(): any;
    get tr(): any;
    get vwap(): any;
}
